Subject: bug#13193: 24.3.50; EasyPG with Gnupg set up to use card reader; handling card not inserted

From: Adam Sjøgren <[email-masked]>
Date: Tue, 10 May 2022 18:58:15 +0200

Lars writes:

> [email-masked] (Adam Sjøgren) writes:
>
>> When I try to sign a region with EasyPG (starting "emacs -Q" and using
>> M-x epa-sign-region), and haven't inserted my card in the reader, I get
>> an error:
>>
>>   Signing...done
>>   epa-sign-region: Wrong type argument: stringp, nil
>>
>> And the region is cut (i.e. disappears).

> I don't have a card reader, so I can't test this, but I extremely
> vaguely remember reading somebody writing about this and that it worked.
>
> Are you still seeing this issue in recent Emacs versions?

I cannot reproduce the problem now, so this bug can be closed.

  Best regards,

    Aam

-- 
 "The problem with the future is that it keeps              Adam Sjøgren
  turning into the present."                           [email-masked]